
package nlib.col.service;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

public interface CollectionService
{
	public DataApiResVO listItems(DataApiReqVO reqVO);

	public DataApiResVO insertInterest(DataApiReqVO reqVO);

	public DataApiResVO reserveItem(DataApiReqVO reqVO);

	public DataApiResVO viewOriginalCopy(DataApiReqVO reqVO);

	public DataApiResVO requestViewingItem(DataApiReqVO reqVO);

	public DataApiResVO selectItemInfo(DataApiReqVO reqVO);

	public DataApiResVO listInterests(DataApiReqVO reqVO);

	public DataApiResVO deleteInterest(DataApiReqVO reqVO);


}